UnifAPI Docs
Linkedin

Get a LinkedIn user profile by URL slug

Returns the canonical LinkedIn profile for the given URL slug (`public_identifier`). Returns 404 not_found if no such user exists.

GET
/linkedin/users/{username}

Authorization

bearerAuth
AuthorizationBearer <token>

UnifAPI API key (forwarded verbatim as the upstream provider token).

In: header

Path Parameters

username*string

LinkedIn URL slug, e.g. williamhgates

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/linkedin/users/string"
{
  "id": "string",
  "urn": "string",
  "username": "string",
  "display_name": "string",
  "first_name": "string",
  "last_name": "string",
  "headline": "string",
  "avatar_url": "string",
  "cover_image_url": "string",
  "location": {
    "country": "string",
    "country_code": "string",
    "city": "string",
    "postal_code": "string"
  },
  "is_premium": true,
  "is_open_to_work": true,
  "is_hiring": true,
  "is_creator": true,
  "is_influencer": true,
  "is_top_voice": true,
  "is_memorialized": true,
  "created_at": "string",
  "website_url": "string",
  "associated_hashtags": [
    "string"
  ]
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "string",
    "request_id": "string",
    "issues": [
      null
    ]
  }
}